"""List of constants, generated from the Telepathy spec version 0.17.13

Copyright (C) 2005-2008 Collabora Limited
Copyright (C) 2005-2008 Nokia Corporation
Copyright (C) 2006 INdT


This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

"""

# Conn_Mgr_Param_Flags (bitfield/set of flags, 0 for none)
CONN_MGR_PARAM_FLAG_REQUIRED = 1
CONN_MGR_PARAM_FLAG_REGISTER = 2
CONN_MGR_PARAM_FLAG_HAS_DEFAULT = 4
CONN_MGR_PARAM_FLAG_SECRET = 8


# Handle_Type
HANDLE_TYPE_NONE = 0
HANDLE_TYPE_CONTACT = 1
HANDLE_TYPE_ROOM = 2
HANDLE_TYPE_LIST = 3
HANDLE_TYPE_GROUP = 4
LAST_HANDLE_TYPE = 4
# Connection_Status
CONNECTION_STATUS_CONNECTED = 0
CONNECTION_STATUS_CONNECTING = 1
CONNECTION_STATUS_DISCONNECTED = 2
LAST_CONNECTION_STATUS = 2
# Connection_Status_Reason
CONNECTION_STATUS_REASON_NONE_SPECIFIED = 0
CONNECTION_STATUS_REASON_REQUESTED = 1
CONNECTION_STATUS_REASON_NETWORK_ERROR = 2
CONNECTION_STATUS_REASON_AUTHENTICATION_FAILED = 3
CONNECTION_STATUS_REASON_ENCRYPTION_ERROR = 4
CONNECTION_STATUS_REASON_NAME_IN_USE = 5
CONNECTION_STATUS_REASON_CERT_NOT_PROVIDED = 6
CONNECTION_STATUS_REASON_CERT_UNTRUSTED = 7
CONNECTION_STATUS_REASON_CERT_EXPIRED = 8
CONNECTION_STATUS_REASON_CERT_NOT_ACTIVATED = 9
CONNECTION_STATUS_REASON_CERT_HOSTNAME_MISMATCH = 10
CONNECTION_STATUS_REASON_CERT_FINGERPRINT_MISMATCH = 11
CONNECTION_STATUS_REASON_CERT_SELF_SIGNED = 12
CONNECTION_STATUS_REASON_CERT_OTHER_ERROR = 13
LAST_CONNECTION_STATUS_REASON = 13
# Connection_Alias_Flags (bitfield/set of flags, 0 for none)
CONNECTION_ALIAS_FLAG_USER_SET = 1


# Connection_Capability_Flags (bitfield/set of flags, 0 for none)
CONNECTION_CAPABILITY_FLAG_CREATE = 1
CONNECTION_CAPABILITY_FLAG_INVITE = 2


# Connection_Presence_Type
CONNECTION_PRESENCE_TYPE_UNSET = 0
CONNECTION_PRESENCE_TYPE_OFFLINE = 1
CONNECTION_PRESENCE_TYPE_AVAILABLE = 2
CONNECTION_PRESENCE_TYPE_AWAY = 3
CONNECTION_PRESENCE_TYPE_EXTENDED_AWAY = 4
CONNECTION_PRESENCE_TYPE_HIDDEN = 5
CONNECTION_PRESENCE_TYPE_BUSY = 6
CONNECTION_PRESENCE_TYPE_UNKNOWN = 7
CONNECTION_PRESENCE_TYPE_ERROR = 8
LAST_CONNECTION_PRESENCE_TYPE = 8
# Media_Stream_Type
MEDIA_STREAM_TYPE_AUDIO = 0
MEDIA_STREAM_TYPE_VIDEO = 1
LAST_MEDIA_STREAM_TYPE = 1
# Media_Stream_State
MEDIA_STREAM_STATE_DISCONNECTED = 0
MEDIA_STREAM_STATE_CONNECTING = 1
MEDIA_STREAM_STATE_CONNECTED = 2
LAST_MEDIA_STREAM_STATE = 2
# Media_Stream_Direction
MEDIA_STREAM_DIRECTION_NONE = 0
MEDIA_STREAM_DIRECTION_SEND = 1
MEDIA_STREAM_DIRECTION_RECEIVE = 2
MEDIA_STREAM_DIRECTION_BIDIRECTIONAL = 3
LAST_MEDIA_STREAM_DIRECTION = 3
# Media_Stream_Pending_Send (bitfield/set of flags, 0 for none)
MEDIA_STREAM_PENDING_LOCAL_SEND = 1
MEDIA_STREAM_PENDING_REMOTE_SEND = 2


# Channel_Media_Capabilities (bitfield/set of flags, 0 for none)
CHANNEL_MEDIA_CAPABILITY_AUDIO = 1
CHANNEL_MEDIA_CAPABILITY_VIDEO = 2
CHANNEL_MEDIA_CAPABILITY_NAT_TRAVERSAL_STUN = 4
CHANNEL_MEDIA_CAPABILITY_NAT_TRAVERSAL_GTALK_P2P = 8


# Channel_Text_Send_Error
CHANNEL_TEXT_SEND_ERROR_UNKNOWN = 0
CHANNEL_TEXT_SEND_ERROR_OFFLINE = 1
CHANNEL_TEXT_SEND_ERROR_INVALID_CONTACT = 2
CHANNEL_TEXT_SEND_ERROR_PERMISSION_DENIED = 3
CHANNEL_TEXT_SEND_ERROR_TOO_LONG = 4
CHANNEL_TEXT_SEND_ERROR_NOT_IMPLEMENTED = 5
LAST_CHANNEL_TEXT_SEND_ERROR = 5
# Channel_Text_Message_Type
CHANNEL_TEXT_MESSAGE_TYPE_NORMAL = 0
CHANNEL_TEXT_MESSAGE_TYPE_ACTION = 1
CHANNEL_TEXT_MESSAGE_TYPE_NOTICE = 2
CHANNEL_TEXT_MESSAGE_TYPE_AUTO_REPLY = 3
CHANNEL_TEXT_MESSAGE_TYPE_DELIVERY_REPORT = 4
LAST_CHANNEL_TEXT_MESSAGE_TYPE = 4
# Channel_Text_Message_Flags (bitfield/set of flags, 0 for none)
CHANNEL_TEXT_MESSAGE_FLAG_TRUNCATED = 1
CHANNEL_TEXT_MESSAGE_FLAG_NON_TEXT_CONTENT = 2


# Tube_Type
TUBE_TYPE_DBUS = 0
TUBE_TYPE_STREAM = 1
LAST_TUBE_TYPE = 1
# Tube_State
TUBE_STATE_LOCAL_PENDING = 0
TUBE_STATE_REMOTE_PENDING = 1
TUBE_STATE_OPEN = 2
LAST_TUBE_STATE = 2
# Socket_Address_Type
SOCKET_ADDRESS_TYPE_UNIX = 0
SOCKET_ADDRESS_TYPE_ABSTRACT_UNIX = 1
SOCKET_ADDRESS_TYPE_IPV4 = 2
SOCKET_ADDRESS_TYPE_IPV6 = 3
LAST_SOCKET_ADDRESS_TYPE = 3
# Socket_Access_Control
SOCKET_ACCESS_CONTROL_LOCALHOST = 0
SOCKET_ACCESS_CONTROL_PORT = 1
SOCKET_ACCESS_CONTROL_NETMASK = 2
SOCKET_ACCESS_CONTROL_CREDENTIALS = 3
LAST_SOCKET_ACCESS_CONTROL = 3
# Channel_Call_State_Flags (bitfield/set of flags, 0 for none)
CHANNEL_CALL_STATE_RINGING = 1
CHANNEL_CALL_STATE_QUEUED = 2
CHANNEL_CALL_STATE_HELD = 4
CHANNEL_CALL_STATE_FORWARDED = 8


# Channel_Chat_State
CHANNEL_CHAT_STATE_GONE = 0
CHANNEL_CHAT_STATE_INACTIVE = 1
CHANNEL_CHAT_STATE_ACTIVE = 2
CHANNEL_CHAT_STATE_PAUSED = 3
CHANNEL_CHAT_STATE_COMPOSING = 4
LAST_CHANNEL_CHAT_STATE = 4
# Delivery_Status
DELIVERY_STATUS_UNKNOWN = 0
DELIVERY_STATUS_DELIVERED = 1
DELIVERY_STATUS_TEMPORARILY_FAILED = 2
DELIVERY_STATUS_PERMANENTLY_FAILED = 3
LAST_DELIVERY_STATUS = 3
# Delivery_Reporting_Support_Flags (bitfield/set of flags, 0 for none)
DELIVERY_REPORTING_SUPPORT_FLAG_RECEIVE_FAILURES = 1
DELIVERY_REPORTING_SUPPORT_FLAG_RECEIVE_SUCCESSES = 2
DELIVERY_REPORTING_SUPPORT_FLAG_SEND_FAILURES = 4
DELIVERY_REPORTING_SUPPORT_FLAG_SEND_SUCCESSES = 8


# DTMF_Event
DTMF_EVENT_DIGIT_0 = 0
DTMF_EVENT_DIGIT_1 = 1
DTMF_EVENT_DIGIT_2 = 2
DTMF_EVENT_DIGIT_3 = 3
DTMF_EVENT_DIGIT_4 = 4
DTMF_EVENT_DIGIT_5 = 5
DTMF_EVENT_DIGIT_6 = 6
DTMF_EVENT_DIGIT_7 = 7
DTMF_EVENT_DIGIT_8 = 8
DTMF_EVENT_DIGIT_9 = 9
DTMF_EVENT_ASTERISK = 10
DTMF_EVENT_HASH = 11
DTMF_EVENT_LETTER_A = 12
DTMF_EVENT_LETTER_B = 13
DTMF_EVENT_LETTER_C = 14
DTMF_EVENT_LETTER_D = 15
LAST_DTMF_EVENT = 15
# Channel_Group_Flags (bitfield/set of flags, 0 for none)
CHANNEL_GROUP_FLAG_CAN_ADD = 1
CHANNEL_GROUP_FLAG_CAN_REMOVE = 2
CHANNEL_GROUP_FLAG_CAN_RESCIND = 4
CHANNEL_GROUP_FLAG_MESSAGE_ADD = 8
CHANNEL_GROUP_FLAG_MESSAGE_REMOVE = 16
CHANNEL_GROUP_FLAG_MESSAGE_ACCEPT = 32
CHANNEL_GROUP_FLAG_MESSAGE_REJECT = 64
CHANNEL_GROUP_FLAG_MESSAGE_RESCIND = 128
CHANNEL_GROUP_FLAG_CHANNEL_SPECIFIC_HANDLES = 256
CHANNEL_GROUP_FLAG_ONLY_ONE_GROUP = 512
CHANNEL_GROUP_FLAG_HANDLE_OWNERS_NOT_AVAILABLE = 1024
CHANNEL_GROUP_FLAG_PROPERTIES = 2048


# Channel_Group_Change_Reason
CHANNEL_GROUP_CHANGE_REASON_NONE = 0
CHANNEL_GROUP_CHANGE_REASON_OFFLINE = 1
CHANNEL_GROUP_CHANGE_REASON_KICKED = 2
CHANNEL_GROUP_CHANGE_REASON_BUSY = 3
CHANNEL_GROUP_CHANGE_REASON_INVITED = 4
CHANNEL_GROUP_CHANGE_REASON_BANNED = 5
CHANNEL_GROUP_CHANGE_REASON_ERROR = 6
CHANNEL_GROUP_CHANGE_REASON_INVALID_CONTACT = 7
CHANNEL_GROUP_CHANGE_REASON_NO_ANSWER = 8
CHANNEL_GROUP_CHANGE_REASON_RENAMED = 9
CHANNEL_GROUP_CHANGE_REASON_PERMISSION_DENIED = 10
CHANNEL_GROUP_CHANGE_REASON_SEPARATED = 11
LAST_CHANNEL_GROUP_CHANGE_REASON = 11
# Local_Hold_State
LOCAL_HOLD_STATE_UNHELD = 0
LOCAL_HOLD_STATE_HELD = 1
LOCAL_HOLD_STATE_PENDING_HOLD = 2
LOCAL_HOLD_STATE_PENDING_UNHOLD = 3
LAST_LOCAL_HOLD_STATE = 3
# Local_Hold_State_Reason
LOCAL_HOLD_STATE_REASON_NONE = 0
LOCAL_HOLD_STATE_REASON_REQUESTED = 1
LOCAL_HOLD_STATE_REASON_RESOURCE_NOT_AVAILABLE = 2
LAST_LOCAL_HOLD_STATE_REASON = 2
# Channel_Password_Flags (bitfield/set of flags, 0 for none)
CHANNEL_PASSWORD_FLAG_PROVIDE = 8


# Message_Part_Support_Flags (bitfield/set of flags, 0 for none)
MESSAGE_PART_SUPPORT_FLAG_DATA_ONLY = 1
MESSAGE_PART_SUPPORT_FLAG_ONE_ATTACHMENT = 2
MESSAGE_PART_SUPPORT_FLAG_MULTIPLE_ATTACHMENTS = 4


# Message_Sending_Flags (bitfield/set of flags, 0 for none)
MESSAGE_SENDING_FLAG_REPORT_DELIVERY = 1


# Media_Stream_Error
MEDIA_STREAM_ERROR_UNKNOWN = 0
MEDIA_STREAM_ERROR_EOS = 1
LAST_MEDIA_STREAM_ERROR = 1
# Media_Stream_Base_Proto
MEDIA_STREAM_BASE_PROTO_UDP = 0
MEDIA_STREAM_BASE_PROTO_TCP = 1
LAST_MEDIA_STREAM_BASE_PROTO = 1
# Media_Stream_Transport_Type
MEDIA_STREAM_TRANSPORT_TYPE_LOCAL = 0
MEDIA_STREAM_TRANSPORT_TYPE_DERIVED = 1
MEDIA_STREAM_TRANSPORT_TYPE_RELAY = 2
LAST_MEDIA_STREAM_TRANSPORT_TYPE = 2
# Property_Flags (bitfield/set of flags, 0 for none)
PROPERTY_FLAG_READ = 1
PROPERTY_FLAG_WRITE = 2

